local function UseCompanionWithSubText(subtext, compType)
	subtext = string.lower(subtext)
	
	
	for i = 1, GetNumCompanions(compType) do
		local id, name, _, _, active = GetCompanionInfo(compType, i)
		
		
		name = string.lower(name)
		
		if string.find(name, subtext) then
			if not active then
				CallCompanion(compType, i)
			end
			
			break
		end
	end
end

TradeSkillFrame_LoadUI()

hooksecurefunc("TradeSkillFrame_Update", function()
	local name = GetTradeSkillLine()
	
	
	if name == "Cooking" then
		UseCompanionWithSubText("Ragnaros", "CRITTER")
	end
end)
